[blfs-book] [BLFS Trac] #4731: Fix zsh-5.0.5 to build with libcap 2.24

BLFS Trac trac at linuxfromscratch.org
Sat Feb 22 04:42:39 PST 2014


#4731: Fix zsh-5.0.5 to build with libcap 2.24
--------------------+-----------------------
 Reporter:  fo      |       Owner:  fo
     Type:  defect  |      Status:  assigned
 Priority:  normal  |   Milestone:  7.5
Component:  BOOK    |     Version:  SVN
 Severity:  normal  |  Resolution:
 Keywords:          |
--------------------+-----------------------

Comment (by fo):

 Bruce, as I wrote yesterday in dev, I added a patch for this. Knew that an
 sed could be used. instead. Took me a while (always does, to me) to find
 out how to add new lines, to match exactly the patch, here it is:


 {{{
 sed -e '/attr.mdh/ d' -e '/attr.pro/ d' \
     -e  '/include <sys\/xattr.h>/ a\\n#include "attr.mdh"\n#include
 "attr.pro"' \
     -i Src/Modules/attr.c
 }}}

 I am telling that here, because I had already fixed "qemu-1.7.0 won't
 build with libcap-2.24", in ticket #4553, created by Wayne, so we can
 remember, because it is possible that it will be needed elsewhere, again.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/4731#comment:3>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list